#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.0
visibility:           public
id:                   coinbase-pro-0.9.3.0-GiRQs54o2OJAWlq3y5DxyL
key:                  coinbase-pro-0.9.3.0-GiRQs54o2OJAWlq3y5DxyL
license:              MIT
copyright:            2021 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  109e50a17c219742377513fa285af344
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.0-GiRQs54o2OJAWlq3y5DxyL
depends:
    HsOpenSSL-0.11.7.2-If7fyvdIN9P1gjVClOmlfi
    aeson-2.1.0.0-3wSqLBA0fU13NhfXDmBpwT
    aeson-casing-0.2.0.0-BUCk4bBFvS5FPBcuKSVsAT
    async-2.2.4-9EoKZTgytm43s60GeTAIZR base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-1Rfjg2UxJ0tAQrwWuK0NlN exceptions-0.10.4
    http-api-data-0.5-CU7OIrowpy57QE8onWhyzh
    http-client-0.7.13.1-IUPmZAWhHcS7Jd2UKXuikW
    http-client-tls-0.3.6.1-KvEPoRWqIbH3HwtuX8a907
    http-streams-0.8.9.6-LSdKItnLv1w1K9LuNVL5gY
    http-types-0.12.3-L4VBkj9wBbpJhmiMCXrA05
    io-streams-1.5.2.2-1rmTTD5GyAiGY9hmphDOxR
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.2.7-2x6X3kWddA03AmOITnySLy
    servant-0.19.1-HFHLYn5uUzmHTmiTLf0Pzm
    servant-client-0.19-2T7hygSti9e68E2G35hOAc
    servant-client-core-0.19-5TNKRVj0AMY5daTcpKYgLr
    tasty-1.4.2.3-5g26BST7AomGP7PDx0otzq
    tasty-hunit-0.10.0.3-CEwjgm394VI2zE6CfGs6kZ text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-4JhOVZUVoV9Ip7SMJbdmL3
    unordered-containers-0.2.19.1-1t66PwyRMuzEgWVME6Xx4r
    uuid-1.3.15-COTLJewp0LkDpLqVZeAi7X
    vector-0.13.0.0-80dNWv5W93FGfZf7Ao5mAf
    websockets-0.12.7.3-8noLrfqtSZqEqYUaoShzKR
    wuss-2.0.0.2-6cOIa9XbZmSFyJmSCD6un5

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

